<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\AreasOfOccupationProfessionalsSpecialtiesTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\AreasOfOccupationProfessionalsSpecialtiesTable Test Case
 */
class AreasOfOccupationProfessionalsSpecialtiesTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\AreasOfOccupationProfessionalsSpecialtiesTable
     */
    public $AreasOfOccupationProfessionalsSpecialties;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.areas_of_occupation_professionals_specialties',
        'app.areas_of_occupation',
        'app.professionals_specialties',
        'app.professionals',
        'app.users',
        'app.roles',
        'app.log',
        'app.units',
        'app.groups',
        'app.health_insurance_plans',
        'app.hospitalizations',
        'app.origins',
        'app.signs',
        'app.goals',
        'app.goals_units',
        'app.units_users',
        'app.bundle',
        'app.medical_opinion_answer',
        'app.medical_opinion_requests',
        'app.professional_sectors',
        'app.specialties'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('AreasOfOccupationProfessionalsSpecialties') ? [] : ['className' => 'App\Model\Table\AreasOfOccupationProfessionalsSpecialtiesTable'];
        $this->AreasOfOccupationProfessionalsSpecialties = TableRegistry::get('AreasOfOccupationProfessionalsSpecialties', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->AreasOfOccupationProfessionalsSpecialties);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
